org.eclipse.emf.cdo.security

## Interface ClassFilter

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Notifier, PermissionFilter
  All Known Implementing Classes:
    ClassFilterImpl

      public interface ClassFilter
      extends PermissionFilter

  A representation of the model object 'Class Filter'.
  Since:
    4.3

    The following features are supported:

    - `Applicable Class`
    - `Sub Types`
  See Also:
    `SecurityPackage.getClassFilter()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EClass` | `getApplicableClass()` Returns the value of the 'Applicable Class' reference.
    `boolean` | `isSubTypes()` Returns the value of the 'Sub Types' attribute.
    `void` | `setApplicableClass(EClass value)` Sets the value of the '`Applicable Class`' reference.
    `void` | `setSubTypes(boolean value)` Sets the value of the '`Sub Types`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

      `format, isApplicable, isImpacted`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getApplicableClass

          EClass getApplicableClass()

      Returns the value of the 'Applicable Class' reference.

      If the meaning of the 'Applicable Class' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Applicable Class' reference.
      See Also:
        `setApplicableClass(EClass)`, `SecurityPackage.getClassFilter_ApplicableClass()`
      Generated
      Model
        required="true"

    - #### setApplicableClass

          void setApplicableClass(EClass value)

      Sets the value of the '`Applicable Class`' reference.
      Parameters:
        `value` - the new value of the 'Applicable Class' reference.
      See Also:
        `getApplicableClass()`
      Generated

    - #### isSubTypes

          boolean isSubTypes()

      Returns the value of the 'Sub Types' attribute. The default value is `"true"`.

      If the meaning of the 'Sub Types' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sub Types' attribute.
      See Also:
        `setSubTypes(boolean)`, `SecurityPackage.getClassFilter_SubTypes()`
      Generated
      Model
        default="true"

    - #### setSubTypes

          void setSubTypes(boolean value)

      Sets the value of the '`Sub Types`' attribute.
      Parameters:
        `value` - the new value of the 'Sub Types' attribute.
      See Also:
        `isSubTypes()`
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html